package org.harrisburgjug.example;

import java.io.BufferedReader;
import java.io.InputStreamReader;

/**
 * Simple Demo Menu Console Application
 * @author john
 */
public class Demo {
	public static void main(String[] args) {
		Demo demo = new Demo();
		demo.run();
	}
	
	/**
	 * Main execution.
	 */
	private void run() {
		// input reader
		BufferedReader in = new BufferedReader(
				new InputStreamReader(System.in));
		
		// loop accepting commands
		while (true) {
			try {
				// print the menu
				System.out.println("Demo");
				System.out.println("----");
				System.out.println("1. List People");
				System.out.println("2. List Cars");
				System.out.println("3. List Cities");
				System.out.println("4. Quit");
				
				// print the prompt and get input
				System.out.print("> ");
				String input = in.readLine();
				
				// evaluate input and act accordingly
				if (input.equals("People")) {
					System.out.println("    List People");
					System.out.println("    -----------");
					System.out.println("    1. John");
					System.out.println("    2. Claire");
					System.out.println("    3. Paige");
					System.out.println("    ===========");
				} else if (input.equals("Cars")) {
					System.out.println("    List Cars");
					System.out.println("    ---------");
					System.out.println("    1. Mazda");
					System.out.println("    2. Toyota");
					System.out.println("    3. Ford");
					System.out.println("    =========");
				} else if (input.equals("Cities")) {
					System.out.println("    List Cities");
					System.out.println("    -----------");
					System.out.println("    1. Harrisburg");
					System.out.println("    2. York");
					System.out.println("    3. Lancaster");
					System.out.println("    ===========");
				} else if (input.equals("Quit")) {
					System.out.println("    Goodbye");

					// exit loop
					break;
				} else {
					// bad command
					System.out.println("    What?  Try again.");
				}
			} catch (Exception ex) {
				ex.printStackTrace();
			}
		}
	}
}