package org.harrisburgjug.example;

import java.io.BufferedReader;
import java.io.InputStreamReader;

/**
 * Demo Menu Application using Command Pattern
 * @author john
 */
public class Demo {
	public static void main(String[] args) {
		Demo demo = new Demo();
		demo.run();
	}

	/**
	 * Main execution.
	 */
	private void run() {
		// input reader
		BufferedReader in = new BufferedReader(
				new InputStreamReader(System.in));
		
		// loop accepting commands
		while (true) {
			try {
				// print menu
				System.out.println("Demo");
				System.out.println("----");
				System.out.println("1. List People");
				System.out.println("2. List Cars");
				System.out.println("3. List Cities");
				System.out.println("4. Quit");
				
				// prompt and get input
				System.out.print("> ");
				String input = in.readLine();
				
				// default to an unknown command
				DemoCommand cmd = new UnknownCommand();
				
				// pick new Command objects based on input
				if (input.equals("People")) {
					cmd = new ListPeople();
				} else if (input.equals("Cars")) {
					cmd = new ListCars();
				} else if (input.equals("Cities")) {
					cmd = new ListCities();
				} else if (input.equals("Quit")) {
					System.out.println("    Goodbye");
					break;
				}
				
				// execute the chose command
				cmd.execute();
			} catch (Exception ex) {
				ex.printStackTrace();
			}
		}
	}
}