package org.harrisburgjug.example;

/**
 * Factory to obtain DemoCommand objects.
 * @author john
 */
public class DemoCommandFactory {
	/**
	 * Obtain a DemoCommand for the given command
	 * @param command command String
	 * @return executable DemoCommand
	 * @throws InstantiationException
	 * @throws IllegalAccessException
	 */
	public static DemoCommand createDemoCommand(String command) 
		throws InstantiationException,
		IllegalAccessException {
		
		// build the class name from the command string
		String className = "org.harrisburgjug.example.List"
			+ command;
		
		DemoCommand cmd = null;
		try {
			// instantiate the command object
			cmd = (DemoCommand) 
				Class.forName(className).newInstance();
		} catch (ClassNotFoundException ex) {
			// instantiate the unknown command for bad input
			cmd = new UnknownCommand();
		}
		
		return cmd;
	}
}