package org.harrisburgjug.example;

import java.io.BufferedReader;
import java.io.InputStreamReader;

/**
 * Demo Console Menu Application using a Helper.
 * @author john
 */
public class Demo {
	public static void main(String[] args) {
		Demo demo = new Demo();
		demo.run();
	}

	/**
	 * Main execution.
	 */
	private void run() {
		// input reader
		BufferedReader in = new BufferedReader(
				new InputStreamReader(System.in));
		
		// loop to get input
		while (true) {
			try {
				// print menu
				System.out.println("Demo");
				System.out.println("----");
				System.out.println("1. List People");
				System.out.println("2. List Cars");
				System.out.println("3. List Cities");
				System.out.println("4. Quit");
				
				// prompt and get input
				System.out.print("> ");
				String input = in.readLine();
				
				// Quit
				if (input.equals("Quit")) {
					System.out.println("    Goodbye");
					
					// drop out of loop
					break;
				} else {
					/* instantiate the command object for
					 * the input command and execute it.
					 */
					DemoCommand cmd =
						DemoCommandFactory.createDemoCommand(input);
					cmd.execute();
				}
			} catch (Exception ex) {
				ex.printStackTrace();
			}
		}
	}
}