package org.harrisburgjug.example;

/**
 * Helper class for Demo application.
 * @author john
 */
public class DemoHelper {
	/**
	 * Print indented line to System.out.
	 * @param s String to print
	 */
	public static void println(String s) {
		System.out.print("    ");
		System.out.println(s);
	}
	
	/**
	 * Generate a separator line of given length using the lineChar.
	 * @param lineChar char to use to build separator line
	 * @param length number fo characters in line
	 * @return separator line String
	 */
	private static String separator(char lineChar, int length) {
		StringBuffer sb = new StringBuffer();
		for (int i = 0; i < length; i ++) {
			sb.append(lineChar);
		}
		return sb.toString();
	}

	/**
	 * Print the formatted header.
	 * @param title title for header
	 */
	public static void printHeader(String title) {
		println(title);
		println(separator('-', title.length()));
	}
	
	/**
	 * Print the formatted list.
	 * @param s String[] list
	 */
	public static void printList(String[] s) {
		for (int i = 0; i < s.length; i ++) {
			StringBuffer sb = new StringBuffer();
			sb.append(i + 1);
			sb.append(". ");
			sb.append(s[i]);
			
			println(sb.toString());
		}
	}
	
	/**
	 * Print the formatted footer.
	 * @param title title String to determine width of footer.
	 */
	public static void printFooter(String title) {
		println(separator('=', title.length()));
	}
}