package org.harrisburgjug.example;

/**
 * Factory to obtain DemoCommand objects.
 * @author john
 */
public class DemoCommandFactory {
	/**
	 * Obtain a DemoCommand for the given command
	 * @param command command String
	 * @return executable DemoCommand
	 * @throws InstantiationException
	 * @throws IllegalAccessException
	 */
	public static DemoCommand createDemoCommand(String command) 
		throws InstantiationException,
		IllegalAccessException {
		
		String className = "org.harrisburgjug.example.List"
			+ command;
		
		DemoCommand cmd = null;
		try {
			// instantiate the strategy object
			DemoStrategy strategy = (DemoStrategy)
				Class.forName(className).newInstance();

			
			
			
			// wrap it in an executor to make it a DemoCommand
			cmd = new DemoExecutor(strategy);
		} catch (ClassNotFoundException ex) {
			cmd = new UnknownCommand();
		}
		
		return cmd;
	}
}