package org.harrisburgjug.example;

public class DemoExecutor implements DemoCommand {
	private DemoStrategy strategy = null;
	
	public DemoExecutor(DemoStrategy strategy) {
		this.strategy = strategy;
	}
	public void execute() {
		String title = strategy.getTitle();
		
		printHeader(title);
		
		String[] list = strategy.getList();
		
		printList(list);
		
		printFooter(title);
	}
	
	public static void println(String s) {
		System.out.print("    ");
		System.out.println(s);
	}
	
	private static String separator(char lineChar, int length) {
		StringBuffer sb = new StringBuffer();
		for (int i = 0; i < length; i ++) {
			sb.append(lineChar);
		}
		return sb.toString();
	}

	public static void printHeader(String title) {
		println(title);
		println(separator('-', title.length()));
	}
	
	public static void printList(String[] s) {
		for (int i = 0; i < s.length; i ++) {
			StringBuffer sb = new StringBuffer();
			sb.append(i + 1);
			sb.append(". ");
			sb.append(s[i]);
			
			println(sb.toString());
		}
	}
	
	public static void printFooter(String title) {
		println(separator('=', title.length()));
	}
}